classification
Title: [AIX] Patch to correct the AIX C/C++ linker argument used for 'runtime_library_dirs'
Type: behavior Stage: patch review
Components: Distutils Versions: Python 3.6, Python 3.5, Python 3.4, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: BreamoreBoy, David.Edelsohn, alexis, dstufft, eric.araujo, rpetrov, sable, srid, tarek, trentm
Priority: high Keywords: patch

Created on 2009-06-01 17:22 by srid, last changed 2015-08-01 13:14 by BreamoreBoy.

Files
File name Uploaded Description Edit
distutils_aix_blibpath.patch srid, 2009-06-01 17:22
issue6164_v2.diff BreamoreBoy, 2015-08-01 13:14
Messages (20)
msg88658 - (view) Author: Sridhar Ratnakumar (srid) Date: 2009-06-01 17:22
This is being successfully used in ActivePython.
msg89427 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-16 07:54
This patch will not work with the compiler is gcc or g++

Is that intended ?
msg89438 - (view) Author: Trent Mick (trentm) * (Python committer) Date: 2009-06-16 19:44
Tarek,

This should not affect anyone using gcc or g++ on AIX because of this
check just before the lines added by this patch:

         elif compiler[:3] == "gcc" or compiler[:3] == "g++":
             return "-Wl,-R" + dir

The intention of the patch is to fix linker argument handling with NOT
using gcc, i.e. when using IBM's native AIX compiler.
msg89445 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-17 06:59
Yes, I know it will not affect g++ or gcc users,

I was asking that to make sure Sridhar do not intend to make it work on
a system where gcc or g++ are *also* used since they will be picked
prior to this option.

I'll include that patch then.
msg89534 - (view) Author: Sridhar Ratnakumar (srid) Date: 2009-06-19 23:42
Hey Tarek, 

Trent was the one who wrote the patch originally and hence I had asked 
him to comment.
msg89538 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-20 13:58
done in r73490. Will wait for 3.1 final release to apply it to the py3k
branch.
msg89794 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-06-28 21:33
merged in 3.2 in r73647
msg101149 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-03-16 02:45
BTW, 3.1.2rc1 does not contain this fix, but contains issue6163.

Any reason why this fix is missing in 3.1.2rc1?
msg101200 - (view) Author: Roumen Petrov (rpetrov) * Date: 2010-03-16 23:19
and restore of distutils in trunk abandon it.
msg101202 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-03-16 23:31
Ah, I see. I am just re-opening this bug hoping to see it get fixed by 3.1.2.
msg101205 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-17 00:05
Yes, the revert put back distutils in its initial 2.6.x state but I guess this can be added back since it doesn't change the original behavior.
msg116419 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-14 21:20
Oops, this didn’t make it into 3.1.2.  Tarek, want me to commit it?
msg145212 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-09 04:47
This was fixed in 2.7 and 3.2; no luck for 3.1.
msg145240 - (view) Author: Roumen Petrov (rpetrov) * Date: 2011-10-09 09:03
hmm, and commit that close issue is ?
msg145241 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-09 09:05
See above: “done in r73490” and “merged in 3.2 in r73647”.
msg145242 - (view) Author: Roumen Petrov (rpetrov) * Date: 2011-10-09 09:10
see above "and restore of distutils in trunk abandon it."
msg145243 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-09 09:12
This was supposed to be added to 3.1 but we missed it.
msg145245 - (view) Author: Roumen Petrov (rpetrov) * Date: 2011-10-09 09:17
For protocol blibpath is not in any release  - get download and check content . 
Did you apply a different fix ?
msg145248 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-09 09:25
Ah, I thought it was missing only in 3.1.  I will reapply the patch.
msg247809 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-08-01 13:14
The original was never reapplied and wouldn't now apply so I've attached an updated version.
History
Date User Action Args
2015-08-01 13:14:14BreamoreBoysetfiles: + issue6164_v2.diff
versions: + Python 3.4, Python 3.5, Python 3.6, - 3rd party, Python 3.2, Python 3.3
nosy: + David.Edelsohn, BreamoreBoy, dstufft

messages: + msg247809

components: - Distutils2
2011-10-09 09:25:54eric.araujosetstatus: closed -> open

assignee: tarek -> eric.araujo
components: + Distutils2
versions: + 3rd party, Python 3.3
nosy: + alexis

messages: + msg145248
resolution: fixed ->
stage: resolved -> patch review
2011-10-09 09:17:08rpetrovsetmessages: + msg145245
2011-10-09 09:12:48eric.araujosetmessages: + msg145243
2011-10-09 09:10:24rpetrovsetmessages: + msg145242
2011-10-09 09:05:44eric.araujosetmessages: + msg145241
2011-10-09 09:03:25rpetrovsetmessages: + msg145240
2011-10-09 04:47:39eric.araujosetstatus: open -> closed
versions: + Python 2.7, Python 3.2, - Python 3.1
messages: + msg145212

resolution: accepted -> fixed
stage: resolved
2010-09-14 21:20:02eric.araujosetmessages: + msg116419
2010-09-14 12:35:54pitrousetnosy: + sable
2010-08-12 12:02:30eric.araujosetnosy: + eric.araujo

versions: - Python 2.7, Python 3.2
2010-03-17 00:05:25tareksetpriority: high
resolution: accepted
messages: + msg101205
2010-03-16 23:31:14sridsetstatus: closed -> open

messages: + msg101202
versions: + Python 3.1
2010-03-16 23:19:46rpetrovsetnosy: + rpetrov
messages: + msg101200
2010-03-16 02:45:19sridsetmessages: + msg101149
2009-06-28 21:33:24tareksetstatus: open -> closed

messages: + msg89794
2009-06-20 13:58:47tareksetmessages: + msg89538
versions: + Python 2.7, Python 3.2, - Python 2.6
2009-06-19 23:42:27sridsetmessages: + msg89534
2009-06-17 06:59:33tareksetmessages: + msg89445
2009-06-16 19:44:59trentmsetmessages: + msg89438
2009-06-16 07:54:15tareksetmessages: + msg89427
2009-06-01 17:22:37sridcreate